Bug 1255309 - yum-builddep failed: No Package found for /lib64/libc.so.6
yum-builddep failed: No Package found for /lib64/libc.so.6
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: thunderbird (Show other bugs)
6.7
i686 Linux
low Severity medium
: rc
: ---
Assigned To: Jan Horak
Desktop QE
:
Depends On: 1248354
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 05:12 EDT by Jiri Koten
Modified: 2015-10-12 09:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1255312 (view as bug list)
Environment:
Last Closed: 2015-10-12 09:45:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Koten 2015-08-20 05:12:14 EDT
Description of problem:
yum-builddep fails to find package for build dependency for /lib64/libc.so.6

It only happens on i386/i686 architecture.

Version-Release number of selected component (if applicable):
thunderbird-38.2.0-4.el6_7.src.rpm

How reproducible:
100%

Steps to Reproduce:
1. yum-builddep thunderbird-38.2.0-4.el6_7.src.rpm
2.
3.

Actual results:
Error: No Package found for /lib64/libc.so.6

Expected results:
yum-builddep provides all the packages for build dependencies

Additional info:
Comment 1 Jan Horak 2015-10-12 09:45:03 EDT
This is an unfortunate feature of creating srpm on x86_64 or any other 64-bit platform. Some ifdefs in spec file lead to put /lib64/libc.so.6 into buildrequire list for all platforms. The yum-builddep use this list from srpm to get list of required packages.

Note You need to log in before you can comment on or make changes to this bug.